Bug 525476 - Gnome power manager reports wrong remaining capacity after resuming from suspend
Summary: Gnome power manager reports wrong remaining capacity after resuming from suspend
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-24 14:27 UTC by Arnaud Kleinveld
Modified: 2011-06-28 22:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 14:25:00 UTC
Type: ---


Attachments (Terms of Use)

Description Arnaud Kleinveld 2009-09-24 14:27:06 UTC
Description of problem:
Gnome power manager reports wrong remaining capacity after resuming from suspend mode.

Version-Release number of selected component (if applicable):
2.26.4

How reproducible:
Close laptop lid to trigger suspend mode and reopen lid.

Steps to Reproduce:
1.Close lid and wait for suspend
2.Open lid
3.Observe power manager reported remaining battery capacity 
  
Actual results:
Report 0.3% and 3 hours remaining. Have seen 0.4% and 14 hours remaining too!

Expected results:
Correct remaining capacity. like 77%

Additional info:

Comment 1 James 2009-10-06 22:57:03 UTC
This could be a DeviceKit-power bug. After suspend/resume, on battery power:

$ devkit-power -d
Device: /org/freedesktop/DeviceKit/Power/devices/line_power_AC
  native-path:          /sys/devices/LNXSYSTM:00/device:00/ACPI0003:00/power_supply/AC
  power supply:         yes
  updated:              Tue Oct  6 23:49:57 2009 (180 seconds ago)
  has history:          no
  has statistics:       no
  line-power
    online:             no

Device: /org/freedesktop/DeviceKit/Power/devices/battery_BAT0
  native-path:          /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0
  vendor:               NOTEBOOK
  model:                BAT1
  serial:               0001
  power supply:         yes
  updated:              Tue Oct  6 23:49:57 2009 (180 seconds ago)
  has history:          yes
  has statistics:       yes
  battery
    present:             yes
    rechargeable:        yes
    state:               fully-charged
    energy:              27.232 Wh
    energy-empty:        0 Wh
    energy-full:         27.232 Wh
    energy-full-design:  35.52 Wh
    energy-rate:         0.0148 W
    voltage:             14.8 V
    percentage:          100%
    capacity:            76.6667%
    technology:          lithium-ion

Daemon:
  daemon-version:  010
  can-suspend:     yes
  can-hibernate    yes
  on-battery:      no
  on-low-battery:  no
  lid-is-closed:   no
  lid-is-present:   yes


At this point, the battery's capacity was ~95% according to sysfs and /proc/acpi; /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0/charge_full was 1840000, with charge_now 1750000. Note also the very long update time (180s)... restarting devkit-power-daemon seems to clear things up.

Comment 2 Arnaud Kleinveld 2009-10-07 01:39:02 UTC
Thanks. I will try this when it happens. It's an intermittent problem, i.e. not happening every time I close the lid.

Comment 3 James 2009-10-21 17:59:04 UTC
devkit-power-daemon gets stuck for me *most* times.

Comment 4 Arnaud Kleinveld 2009-11-05 12:03:09 UTC
Ok. It finally happened again. So here is the output. devkit reports the same thing as Gnome power manager. I reckon the energy-full is not right here :)

$ devkit-power -d
Device: /org/freedesktop/DeviceKit/Power/devices/line_power_AC
  native-path:          /sys/devices/LNXSYSTM:00/device:00/ACPI0003:00/power_supply/AC
  power supply:         yes
  updated:              Thu Nov  5 19:02:08 2009 (2218 seconds ago)
  has history:          no
  has statistics:       no
  line-power
    online:             no

Device: /org/freedesktop/DeviceKit/Power/devices/battery_BAT0
  native-path:          /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0
  vendor:               SMP
  model:                DELL J037N9
  serial:               1252
  power supply:         yes
  updated:              Thu Nov  5 19:38:58 2009 (8 seconds ago)
  has history:          yes
  has statistics:       yes
  battery
    present:             yes
    rechargeable:        yes
    state:               discharging
    energy:              48.6846 Wh
    energy-empty:        0 Wh
    energy-full:         14622.9 Wh
    energy-full-design:  62.16 Wh
    energy-rate:         13.6974 W
    voltage:             12.14 V
    time to empty:       3.6 hours
    percentage:          0.332935%
    capacity:            91.8929%
    technology:          lithium-ion
  History (charge):
    1257421138	0.333	discharging
    1257421108	0.334	discharging
    1257421078	0.335	discharging
    1257421048	0.335	discharging
  History (rate):
    1257421138	13.697	discharging
    1257421108	13.553	discharging
    1257421078	15.806	discharging
    1257421048	14.108	discharging

Daemon:
  daemon-version:  010
  can-suspend:     yes
  can-hibernate    yes
  on-battery:      yes
  on-low-battery:  no
  lid-is-closed:   no
  lid-is-present:   yes

$ cat /sys/devices/LNXSYSTM\:00/device\:00/PNP0C0A\:00/power_supply/BAT0/charge_full
5146000
$ cat /sys/devices/LNXSYSTM\:00/device\:00/PNP0C0A\:00/power_supply/BAT0/charge_full_design 
5600000

And indeed after restarting the devkit-power daemon it looks normal again:
<snip>
energy-full:         57.1206 Wh
percentage:          77.1667%

<snip>
History (charge):
  1257421138	0.333	discharging
  1257421108	0.334	discharging
  1257421078	0.335	discharging
  1257421048	0.335	discharging

Comment 5 Arnaud Kleinveld 2009-11-05 12:05:29 UTC
Sorry pasted the wrong History charge

  History (charge):
    1257422221	77.167	discharging
    1257422191	77.380	discharging
    1257422161	0.000	unknown

Comment 6 Richard Hughes 2010-01-20 16:54:35 UTC
Does this still happen with Fedora 12?

Comment 7 Bug Zapper 2010-04-28 10:33:29 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-06-28 14:48:01 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Ivan Stojmirov 2010-07-15 08:22:22 UTC
I am hitting this bug with a Lenovo T410s on Fedora 13 64bit.
Let me know what further info you need.

Comment 10 Pavel Šimerda (pavlix) 2011-01-23 16:09:52 UTC
Probably hitting this bug with Fedora 13 on Toshiba u300-13u, sometimes, when on battery, resuming leads to an immediate suspend (probably because of false low battery status). The same happens sometimes when removing the power cord. Is it related or not?

Comment 11 Bug Zapper 2011-06-02 17:41:24 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2011-06-27 14:25:00 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 13 Pavel Šimerda (pavlix) 2011-06-28 22:05:05 UTC
Still present on Fedora 15, it happened serveral times during the week. In these cases I had to resume the system twice. Surprisingly, it is almost always twice, it rarely works immediately (once), and I believe I never had to resume more than twice.


Note You need to log in before you can comment on or make changes to this bug.